# ps2eps
# convert PostScript to EPS (Encapsulated PostScript) files
# (C)opyright 1998-2004 Roland Bless <roland@bless.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307, USA.


# RPM package specification file
# $Id: ps2eps.spec,v 1.9 2005/01/20 20:30:49 bless Exp $

Summary: Converts PostScript to EPS (Encapsulated PostScript) files
Name: ps2eps
Version: 1.58
Release: 1
License: GPL
Group: Productivity/Publishing/PS
Obsoletes: ps2eps
Provides: ps2eps
Source0: http://www.tm.uka.de/~bless/ps2eps/%{name}_%{version}.tar.gz
URL: http://www.tm.uka.de/~bless/ps2eps
Buildroot: %{_tmppath}/%{name}-root
Requires: ghostscript perl libc.so.6
Packager: Roland Bless <roland@bless.de>


%description 
ps2eps is a tool (written in Perl) to produce Encapsulated PostScript
Files (EPS/EPSF) from usual one-paged Postscript documents.  It
calculates correct Bounding Boxes for those EPS files and filters some
special postscript command sequences that can produce erroneous
results on printers. EPS files are often needed for including
(scalable) graphics of high quality into TeX/LaTeX (or even Word)
documents.

%prep

%setup -q -n %{name}


%build
cd src/C
make
cd ../../doc
make

%install
rm -rf $RPM_BUILD_ROOT
mv doc/Changes.txt .
mv doc/INSTALL.txt .
mv doc/LICENSE.txt .
mv doc/README.txt .
mv doc/*.pdf .
mv doc/*.html .

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m755 -s src/C/bbox $RPM_BUILD_ROOT%{_bindir}
install -m755 src/perl/ps2eps $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m644 doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1


%files
%defattr(-,root,root)
%doc Changes.txt INSTALL.txt LICENSE.txt README.txt
%doc ps2eps.html bbox.html
%doc ps2eps.pdf bbox.pdf
%{_bindir}
%{_mandir}



%post
#/sbin/install-info %{_infodir}/ps2eps.info* %{_infodir}/dir


%preun
#if [ $1 = 0 ]
#then
#    /sbin/install-info --delete %{_infodir}/ps2eps.info* %{_infodir}/dir
#fi


%postun
#if [ $1 = 0 ]
#then
#    /sbin/ldconfig
#fi


%clean
rm -rf $RPM_BUILD_ROOT
